### Method

# GtkSource SpaceDrawer get_types_for_locations

#### Declaration [src]

    GtkSourceSpaceTypeFlags
    gtk_source_space_drawer_get_types_for_locations (
      GtkSourceSpaceDrawer* drawer,
      GtkSourceSpaceLocationFlags locations
    )

#### Description [src]

If only one location is specified, this function returns what kind of white spaces are drawn at that location.

The value is retrieved from the `GtkSourceSpaceDrawer:matrix` property.

If several locations are specified, this function returns the logical AND for those locations. Which means that if a certain kind of white space is present in the return value, then that kind of white space is drawn at all the specified `locations`.

#### Parameters

`locations`

  Type: `GtkSourceSpaceLocationFlags`

  One or several `GtkSourceSpaceLocationFlags`.

#### Return value

Type: `GtkSourceSpaceTypeFlags`

A combination of `GtkSourceSpaceTypeFlags`.